﻿@using Jumbula.Core.Domain
@model MultipleRegisterViewModel

@{
    Layout = "~/Views/Register/MultipleRegister.cshtml";

    ViewBag.SeasonDomain = Model.SeasonDomain;
    ViewBag.SeasonTitle = Model.SeasonTitle;
    ViewBag.HasWaiver = Model.HasWaiver;
    ViewBag.LastStep = Model.LastStep;
    ViewBag.GeneralOpenRegDate = Model.GeneralOpenRegDate;
    ViewBag.LotteryEndDate = Model.LotteryEndDate;
    ViewBag.HasPaymentPlan = Model.HasPaymentPlan;
    ViewBag.HasFollowUpForms = Model.HasFollowUpForms;
}

<br />

@Html.HiddenFor(model => model.LastStep)
@Html.HiddenFor(model => model.HasWaiver)
@Html.HiddenFor(model => model.HasPaymentPlan)
@Html.HiddenFor(model => model.HasFollowUpForms)

<section id="registrationWaivers" class="col-xs-12 col-sm-12 col-md-8 col-lg-9 step active">

    @foreach (var waiver in Model.Waivers.OrderBy(w => w.Order))
    {
        using (Html.BeginCollectionItem("Waivers"))
        {
            <div class="waiver full-width container-bordered box-content-waiwer">

                <div class="text full-width bold">
                    <span class="text-box-waiwer">@waiver.Name</span>
                </div>
                <div class="text full-width">
                    <p>@Html.Raw(waiver.Text.Replace("\n", "</br>"))</p>
                </div>
                @Html.Hidden("WaiverId", waiver.WaiverId)
                @if (waiver.WaiverConfirmationType != WaiverConfirmationType.Signature)
                {
                    <div class="form-group full-width">
                        <div class="checkbox">
                            <label style="float:right">
                                @Html.CheckBox("Agreed", waiver.Agreed, new { @class = "waiver-confirmation", data_val_required = "You must select " + waiver.Name })
                                <span class="check"></span>
                                @if (waiver.IsRequired)
                                {
                                    <span class="bold"> I agree <span style="color:red">(mandatory)</span></span>
                                }
                                else
                                {
                                    <span class="bold"> I agree </span>
                                }
                            </label>
                        </div>
                    </div>
                }
                else
                {
                    <div class="form-group JbFormControll JbSignature clearfix" id="div-sing" style="display: block; float:right">
                        <label class="bold" for="JbForm_Elements_0__Elements_5__Value">
                            @if (waiver.IsRequired)
                            {
                                <span> Signature <span style="color:red">(mandatory)</span> </span>
                            }
                            else
                            {
                                <span> Signature </span>
                            }
                        </label>
                        @Html.Hidden("WaiverConfirmationType", WaiverConfirmationType.Signature)
                        @Html.Hidden("Signiture", waiver.Signiture, new { @class = "signiture-confirmation", data_val_required = "You must select " + waiver.Name, value = "", id = "Waiver-sing_Value" })
                        <div id="Waiver-sing" class="sing" style="border: 1px solid #CCCCCC; max-width: 100%; width: 300px; padding: 0; margin: 0; position: relative;">
                            <button data-for="Waiver-sing" id="btn_1" class="btn btn-default btn-sm pull-right clear-signature">Clear</button>
                        </div>
                    </div>
                }
            </div>
        }
    }

</section>
<script src="/Scripts/Libraries/jSignature/jSignature.min.js"></script>

<script type="text/javascript">

    var count = 0;
    $('#div-sing .sing').each(function (i) {

        $(this).attr('id', "Waiver-sing" + i);

    });
    $('#div-sing .clear-signature').each(function (i) {

        $(this).attr('data-for', "Waiver-sing" + i);
        count++;
    });

    $('#div-sing .signiture-confirmation').each(function (i) {

        $(this).attr('id', "Waiver-sing" + i + "_Value");

    });

    function showAllParents(element) {

        $(element).parents().each(function () {
            var oldDisplay = $(this).css("display");
            if (oldDisplay == "none") {
                $(this).data("old-display", oldDisplay).css("display", "block")
            }
        });
    }
    function hideAllParents(element) {
        $(element).parents().each(function () {
            if ($(this).data("old-display") == "none") {
                $(this).css("display", "")
            }
        });
    }
    var waiverName;
    for (var i = 0; i < count; i++) {
        waiverName = "Waiver-sing" + i;
        var value = "value" + i;
        //alert($("#" + waiverName + "_Value").val());

        showAllParents("#" + waiverName);
        $("#" + waiverName).jSignature({
            lineWidth: 1,
            height: 120,
            width: $("#" + waiverName).outerWidth() - 2
        }).bind('change', function (e) {
            $('.clear-signature[data-for=' + e.currentTarget.id + ']').show(0);
            $("#" + e.currentTarget.id + "_Value").val($(this).jSignature("getData", "base30"));
            value = $("#" + e.currentTarget.id + "_Value").val();
        });

        $('.clear-signature[data-for=' + waiverName + ']').click(function (event) {
            event.preventDefault();
            $("#" + $(this).attr("data-for")).jSignature('clear');
        }).hide(0);

    }

    clearSignatures();

    function clearSignatures() {
        var waiverName = "Waiver-sing" + 0;
        $('.clear-signature[data-for=' + waiverName + ']').each(function (i) {
            $("#" + $(this).attr("data-for")).jSignature('clear');
            i++;
        }).hide(0);
    }


</script>